Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.messaging
Class UnresolvedRecipientsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.compoze.collab.util.NestedException
                  com.compoze.collab.CollaborationException
                      com.compoze.collab.messaging.UnresolvedRecipientsException

All Implemented Interfaces
  Serializable

    public class UnresolvedRecipientsException

extends CollaborationException

Exception class thrown when recipients could not be resolved.

See Also
  Serialized Form

Constructor Summary
`UnresolvedRecipientsException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, IRecipient[] recipients)` Constructs a UnresolvedRecipientsException.
`UnresolvedRecipientsException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, Object param, IRecipient[] recipients)` Constructs a UnresolvedRecipientsException.
`UnresolvedRecipientsException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, IRecipient[] recipients)` Constructs a UnresolvedRecipientsException.
`UnresolvedRecipientsException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, Object param, IRecipient[] recipients)` Constructs a UnresolvedRecipientsException.

Method Summary
`IRecipient[]` | `getUnresolvedRecipients()` Gets the unresolved recipients.

Methods inherited from class com.compoze.collab.CollaborationException
`getAdminMessage, getAdminResolution, getBaseKey, getKey, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnresolvedRecipientsException

    public UnresolvedRecipientsException(com.compoze.collab.spi.Context ctx,
                                         com.compoze.collab.spi.ExceptionResourceKey baseKey,
                                         IRecipient[] recipients)

  Constructs a UnresolvedRecipientsException.

  Parameters
    `ctx` - session context
    `baseKey` - message base key
    `recipients` - the unresolved recipients (not `null`)

### UnresolvedRecipientsException

    public UnresolvedRecipientsException(com.compoze.collab.spi.Context ctx,
                                         com.compoze.collab.spi.ExceptionResourceKey baseKey,
                                         Object param,
                                         IRecipient[] recipients)

  Constructs a UnresolvedRecipientsException.

  Parameters
    `ctx` - session context
    `baseKey` - message base key
    `param` - message parameter
    `recipients` - the unresolved recipients (not `null`)

### UnresolvedRecipientsException

    public UnresolvedRecipientsException(Throwable t,
                                         com.compoze.collab.spi.Context ctx,
                                         com.compoze.collab.spi.ExceptionResourceKey baseKey,
                                         IRecipient[] recipients)

  Constructs a UnresolvedRecipientsException.

  Parameters
    `t` - the underlying exception
    `ctx` - session context
    `baseKey` - message base key
    `recipients` - the unresolved recipients (not `null`)

### UnresolvedRecipientsException

    public UnresolvedRecipientsException(Throwable t,
                                         com.compoze.collab.spi.Context ctx,
                                         com.compoze.collab.spi.ExceptionResourceKey baseKey,
                                         Object param,
                                         IRecipient[] recipients)

  Constructs a UnresolvedRecipientsException.

  Parameters
    `t` - the underlying exception
    `ctx` - session context
    `baseKey` - message base key
    `param` - message parameter
    `recipients` - the unresolved recipients (not `null`)

Method Detail

### getUnresolvedRecipients

    public IRecipient[] getUnresolvedRecipients()

  Gets the unresolved recipients.

  Returns
    the unresolved recipients (not `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved